Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.paging
Class PagedListFactory<T>

    java.lang.Object
      com.bea.content.paging.PagedListFactory<T>

    public class PagedListFactory<T>

extends Object

supports creating a ISortableFilterablePagedList from a List

Constructor Summary
`PagedListFactory()`

Method Summary
`ISortableFilterablePagedList<T>` | `createPagedList(ContentContext context, Class<?> itemClass, List<T> itemList)` Create an ISortableFilterablePagedList from a List.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PagedListFactory

    public PagedListFactory()

Method Detail

### createPagedList

    public ISortableFilterablePagedList<T> createPagedList(ContentContext context,
                                                           Class<?> itemClass,
                                                           List<T> itemList)
                                                    throws RepositoryRuntimeException

  Create an ISortableFilterablePagedList from a List. Note that any sort and filter requests will use the in-memory implementation.

  Parameters
    `context` - The Content Context.
    `itemClass` - The class of the items in the list.
    `itemList` - The list to convert.
  Returns
    The converted list.
  Throws
    `RepositoryRuntimeException` - If this operaton fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.